Bug 68084 - Modem volume settings have no effect.
Modem volume settings have no effect.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: wvdial (Show other bugs)
7.3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-06 00:53 EDT by fatalexception
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-15 06:16:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description fatalexception 2002-07-06 00:53:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i586; U;) Gecko/20020408

Description of problem:
When configuring the modem volume setting in redhat-config-network, it doesn't
actually take effect (meaning, it sends no modem commands to actually set the
volume on the modem such as ATLx where x is a number from 0 to 3 or ATMy, where
 y is either 0 or 1 for having the modem speaker be off or on respectively.) and
on my internal ISA Zoom 56k dualmode modem model 2919 its default volume (when
you send ATZ to it) happens to be the loudest volume setting when none is sent
to it after an ATZ before the dial-in.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Setup a dial-up account 
2. Change the modem volume to "off" either while you are setting it up or via
the Hardware tab in redhat-config-network where you select your modem, then hit
edit and change the volume setting to "Off"
3. su to root and tail the /var/log/messages file (using su -c 'tail -f
/var/log/messages ) to monitor what is sent to and received from the modem.
4. Activate the dial-up connection that was setup.
	

Actual Results:  The commands "ATZ" then "ATDTXXX-XXXX" (where XXX-XXXX is the
number it is dialing) are the only commands sent to the modem.  No volume
controlling commands (ATLx where x is from 0 to 3) or speaker control commands
(ATMy where y = 0 or 1) are sent and the modem uses its default volume level
which is the loudest volume on my modem.

Expected Results:  I expected it to send some sort of volume/speaker controlling
command to the modem so it would actually make the modem volume be what the user
set it to be by sending a command like ATM0 to turn the modem speaker off
completely when the modem volume is set to "Off" or ATL0 or ATL1 to set it to
"low", etc.

Additional info:

The modem volume can be manually set to a desired volume level by selecting the
ppp0 device on the "Devices" tab, then click "Edit," then click the "Advanced"
tab, and manually specifying the appropriate init string for the volume setting
that the user wants such as ATL0 or ATL1 for the lowest volume setting with the
modem speaker still on or ATM0 to turn the modem speaker off so the user hears
nothing when dialing.
Comment 1 Harald Hoyer 2002-07-08 11:06:28 EDT
Should work... otherwise its wvdials fault..
# cat /etc/wvdial.conf 
[Modem0]
Modem = /dev/ttyS0
Baud = 38400
SetVolume = 3
Dial Command = ATDT
Init1 = ATZ
FlowControl = NOFLOW
Comment 2 Harald Hoyer 2005-07-08 11:41:29 EDT
is this still an issue?

Note You need to log in before you can comment on or make changes to this bug.